# Class ReturndataDecodingInspector

Similar to [[ResultInspector]], but for a [[ReturndataDecoding]]. See [[ResultInspector]] for more information.

#### Hierarchy

- ReturndataDecodingInspector

- Defined in codec/lib/export.ts:473

#####
Index

### Constructors

constructor

### Properties

decoding
options

### Methods

[custom]
inspect

## Constructors

### constructor

- new ReturndataDecodingInspector(decoding, options?): ReturndataDecodingInspector

- #### Parameters

  - ##### decoding: ReturndataDecoding

  - ##### `Optional` options: ResultInspectorOptions

  #### Returns ReturndataDecodingInspector

  - Defined in codec/lib/export.ts:476

## Properties

### decoding

decoding: ReturndataDecoding

- Defined in codec/lib/export.ts:474

### options

options: ResultInspectorOptions

- Defined in codec/lib/export.ts:475

## Methods

### [custom]

- [custom](depth, options): string

- #### Parameters

  - ##### depth: number

  - ##### options: InspectOptions

  #### Returns string

  - Defined in codec/lib/export.ts:487

### inspect

- inspect(depth, options): string

- #### Parameters

  - ##### depth: number

  - ##### options: InspectOptions

  #### Returns string

  #### Dev

  non-standard alternative interface name used by browser-util-inspect package

  - Defined in codec/lib/export.ts:484

Generated using TypeDoc